Subject: Re: mounts, ls, and filename completion
From: [email-masked] (Larry Hall)

14 Aug 1998 01:06:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: [email-masked] (Michael Mauch), [email-masked]

At 02:44 AM 8/12/98 +0200, Michael Mauch wrote:
>On Tue, 11 Aug 1998 04:36:05 -0700 (PDT), Earnie Boyd wrote:
>
>> Now if you were to do:
>>       mkdir //d/foo
>>       mount -b //d/foo /foo
>> that would be perfectly acceptable and would not confuse you or
>> cygwin32.
>
>Another question regarding mounts:
>
>Is there a way to mount everything in binary mode, either on the command
>line or in a C program? Something like _fmode = O_BINARY in other C
>environments, but also for pipes and spawned processes?
>
>I have many drive letters and the default mount mode of //c/ to //z/ is
>text mode. Can I change them all to binary mode or do I really have to
>mount each and every drive with `mount -b //c/ /c./´ to `mount -b //z/
>/z./´?
>
>Background:
>I ported glimpse/glimpseindex to Cygwin and it works fine, iff I mount
>everything in binary mode. I could change dozens of fopen()/open() to
>use binary mode, but this would still not do the trick for pipes and
>children (glimpse spawns "sort foo>bar" among others).
>
>Regards...
>		Michael

Currently, there is no facility at the tool level to let you make your
(existing) mount points binary by default.  Pipes, etc., may be 
controllable via the "bin" flag of CYGWIN32 but I haven't checked this
for sure.  Support for this would require a change to the bash code and
I don't know if its in there or not.  I've modified my bash code to open
pipes and such as binary so I don't notice problems there myself anymore...

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".